package com.xinelu.manage.mapper.taskstatusdict;

import com.xinelu.manage.domain.taskstatusdict.TaskStatusDict;

import java.util.List;


/**
 * 任务状态字典Mapper接口
 *
 * @author xinelu
 * @date 2024-03-13
 */
public interface TaskStatusDictMapper {
    /**
     * 查询任务状态字典
     *
     * @param id 任务状态字典主键
     * @return 任务状态字典
     */
    public TaskStatusDict selectTaskStatusDictById(Long id);

    /**
     * 查询任务状态字典列表
     *
     * @param taskStatusDict 任务状态字典
     * @return 任务状态字典集合
     */
    public List<TaskStatusDict> selectTaskStatusDictList(TaskStatusDict taskStatusDict);

    /**
     * 新增任务状态字典
     *
     * @param taskStatusDict 任务状态字典
     * @return 结果
     */
    public int insertTaskStatusDict(TaskStatusDict taskStatusDict);

    /**
     * 修改任务状态字典
     *
     * @param taskStatusDict 任务状态字典
     * @return 结果
     */
    public int updateTaskStatusDict(TaskStatusDict taskStatusDict);

    /**
     * 删除任务状态字典
     *
     * @param id 任务状态字典主键
     * @return 结果
     */
    public int deleteTaskStatusDictById(Long id);

    /**
     * 批量删除任务状态字典
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTaskStatusDictByIds(Long[] ids);
}
